Gå til hovedinnhold
Beta! This documentation is automatically generated. Information may be incomplete or contain errors, especially screenshots and code samples. We'd love your feedback: use the "Did you find what you were looking for?" widget below, the chat in the bottom right, or email support@placepoint.no - we'll get back to you as soon as we can.

Retrieve Transaction Data Information

GET 

/transaction/data

Transaction Data API

Fetch Transaction Data Information Endpoint

Overview

This API returns previous transaction related information for any given property. Users can fetch data based on specific criteria such as property-id-nma, batch-id, and date range (start and end). The returned data includes transaction details and the total number of batches.

Example Requests

Fetch transaction data based on property-id-nma:

curl -X 'GET' \
'https://apis.propcloud.no/api/public/transaction/data?property-id-nma=3301-111-52-0-0' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Fetch transaction data based on batch id:

curl -X 'GET' \
'https://apis.propcloud.no/api/public/transaction/data?batch-id=1' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Fetch transaction data based on a date range:

curl -X 'GET' \
'https://apis.propcloud.no/api/public/transaction/data?start-date=2023-01-01&end-date=2023-12-31' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Fetch transaction data based on multiple criteria:

curl -X 'GET' \
'https://apis.propcloud.no/api/public/transaction/data?batch-id=1&property-id-nma=3301-111-52-0-0&start-date=2023-01-01&end-date=2023-12-31' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Request

Responses

Successful Response

Beta! This documentation is automatically generated. Information may be incomplete or contain errors, especially screenshots and code samples. We'd love your feedback: use the "Did you find what you were looking for?" widget below, the chat in the bottom right, or email support@placepoint.no - we'll get back to you as soon as we can.